#  Copyright (C) 1999-2010
#  Smithsonian Astrophysical Observatory, Cambridge, MA, USA
#  For conditions of distribution and use, see copyright notice in "copyright"

package provide DS9 1.0

proc MagnifierDef {} {
    global imagnifier
    global pmagnifier

    set imagnifier(size) 128

    # prefs only
    set pmagnifier(cursor) 1
    set pmagnifier(zoom) 4
    set pmagnifier(region) 1
}

proc UpdateMagnifier {which x y} {
    global view

    if {$view(magnifier)} {
	$which magnifier update $x $y
    }
}

proc MagnifierFrameBackup {ch which} {
    global pmagnifier

    puts $ch "$which magnifier graphics $pmagnifier(region)"
    puts $ch "$which magnifier cursor $pmagnifier(cursor)"
    puts $ch "$which magnifier zoom $pmagnifier(zoom)"
}

# Prefs Cmds

proc PrefsMagnifierRegion {} {
    global pmagnifier
    global ds9
    
    foreach f $ds9(frames) {
	$f magnifier graphics $pmagnifier(region)
    }
}

proc PrefsMagnifierCursor {} {
    global pmagnifier
    global ds9
    
    foreach f $ds9(frames) {
	$f magnifier cursor $pmagnifier(cursor)
    }
}

proc PrefsMagnifierZoom {} {
    global pmagnifier
    global ds9

    foreach f $ds9(frames) {
	$f magnifier zoom $pmagnifier(zoom)
    }
}
